## imcode.server.document.index
Class DefaultQueryParser

    java.lang.Object
      imcode.server.document.index.DefaultQueryParser

All Implemented Interfaces:
  QueryParser, java.io.Serializable

    public class DefaultQueryParser

extends java.lang.Object
implements QueryParser

See Also:
  Serialized Form

Constructor Summary
`DefaultQueryParser()`

Method Summary
`org.apache.lucene.search.Query` `parse(java.lang.String queryString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultQueryParser

    public DefaultQueryParser()

Method Detail

### parse

    public org.apache.lucene.search.Query parse(java.lang.String queryString)
                                         throws org.apache.lucene.queryParser.ParseException

  Specified by:
    `parse` in interface `QueryParser`
  Throws:
    `org.apache.lucene.queryParser.ParseException`